aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorToni Uhlig <matzeton@googlemail.com>2021-06-08 15:57:13 +0200
committerToni Uhlig <matzeton@googlemail.com>2021-06-08 16:18:54 +0200
commit7daeee141d235b53b4b3c1b825acaf06a0cf19c9 (patch)
tree412df5e6f48aa281ed78f79ee43da911598f81af /scripts
parenta41ddafa88de870aadad4acdf0193ac3a326c403 (diff)
`make dist`
* fixed run_tests.sh file check bug, CI compat * updated results due to libnDPI submodule update Signed-off-by: Toni Uhlig <matzeton@googlemail.com>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/get-and-build-libndpi.sh7
-rwxr-xr-xscripts/make-dist.sh28
2 files changed, 33 insertions, 2 deletions
diff --git a/scripts/get-and-build-libndpi.sh b/scripts/get-and-build-libndpi.sh
index df0ab2b2c..945dcf7b3 100755
--- a/scripts/get-and-build-libndpi.sh
+++ b/scripts/get-and-build-libndpi.sh
@@ -1,7 +1,6 @@
#!/usr/bin/env bash
set -e
-set -x
LOCKFILE="$(realpath "${0}").lock"
touch "${LOCKFILE}"
@@ -11,8 +10,12 @@ flock -x -n 42 || {
exit 1;
}
+set -x
+
cd "$(dirname "${0}")/.."
-git submodule update --init ./libnDPI
+if [ -d ./.git ]; then
+ git submodule update --init ./libnDPI
+fi
cd ./libnDPI
DEST_INSTALL="${DEST_INSTALL:-$(realpath ./install)}"
diff --git a/scripts/make-dist.sh b/scripts/make-dist.sh
new file mode 100755
index 000000000..b978aeb65
--- /dev/null
+++ b/scripts/make-dist.sh
@@ -0,0 +1,28 @@
+#!/usr/bin/env bash
+
+set -e
+
+LOCKFILE="$(realpath "${0}").lock"
+touch "${LOCKFILE}"
+exec 42< "${LOCKFILE}"
+flock -x -n 42 || {
+ printf '%s\n' "Could not aquire file lock for ${0}. Already running instance?" >&2;
+ exit 1;
+}
+
+cd "$(dirname "${0}")/.."
+if [ ! -d ./.git ]; then
+ printf '%s\n' "This script can only by run from a nDPId git repository." >&2
+fi
+
+git submodule update --init ./libnDPI
+NDPID_GIT_VERSION="$(git describe --tags)"
+cd ./libnDPI && \
+ LIBNDPI_GIT_VERSION="$(git describe --tags)"
+ git archive --prefix="nDPId-${NDPID_GIT_VERSION}/libnDPI/" -o "../libnDPI-${LIBNDPI_GIT_VERSION}.tar" HEAD && \
+ cd ..
+git archive --prefix="nDPId-${NDPID_GIT_VERSION}/" -o "./nDPId-${NDPID_GIT_VERSION}.tar" HEAD
+tar --concatenate --file="./nDPId-${NDPID_GIT_VERSION}.tar" "./libnDPI-${LIBNDPI_GIT_VERSION}.tar"
+bzip2 -9 "./nDPId-${NDPID_GIT_VERSION}.tar"
+
+rm -f "${LOCKFILE}"